package com.benyun.project.third.longxiang.service;

import com.benyun.framework.web.domain.AjaxResult;
import com.benyun.project.third.longxiang.domain.ResponseWmsCustomer;

public interface LongXiangService {

    //获取token
    AjaxResult refreshAllToken();


    //SKU同步接口
    AjaxResult skuSync(Integer num) ;


    //SKU批量同步接口     不好用
//    AjaxResult skuBatchSync();



    //销售出库单创建接口   over
    AjaxResult createOrder();

    //其他出库单创建接口
    AjaxResult orderOtherSync();


    /**
     * 同步金蝶的直接调拨单到WMS
     * @return
     */
    AjaxResult syncTransferDirect();


    //SKU查询接口
    AjaxResult getKingdeeSkuInfoById(String skuId);




    //SKU库存查询接口    即时库存
    AjaxResult getSkuStock(String skuCode) throws Exception;


    //创建WMS入库单接口
    AjaxResult createWmsInOrder() throws Exception;



    //订单批量创建
    AjaxResult createOrderBatch() throws Exception;

    //订单查询接口
    AjaxResult getOrder(String orderId) throws Exception;

    //订单发货接口
    AjaxResult orderDelivery() throws Exception;

    //订单物料接口
    AjaxResult orderMaterial() throws Exception;

    //销售出库单同步接口
    AjaxResult createSaleOutOrder() throws Exception;


}
